# Mail Class Reference
[Mail utilities]

Note: when relay rejects your mail, try to setSendmailAdditionalArgs('-f from.addr@example.com'). More...

List of all members.

## Public Member Functions

| send ()
| setTo ($to)
| setCc ($cc)
| setSubject ($subject)
| setText ($text)
| setFrom ($from)
| setEncoding ($encoding)
| getContentType ()
| setContentType ($contentType)
| getSendmailAdditionalArgs ()
| setSendmailAdditionalArgs ($sendmailAdditionalArgs)
| getReturnPath ()
| setReturnPath ($returnPath)

## Static Public Member Functions

static | create ()

## Private Attributes

| $to = null
| $cc = null
| $text = null
| $subject = null
| $from = null
| $encoding = null
| $contentType = null
| $returnPath = null
| $sendmailAdditionalArgs = null

## Detailed Description

Note: when relay rejects your mail, try to setSendmailAdditionalArgs('-f from.addr@example.com').

See 'man sendmail' for details.

Definition at line 29 of file Mail.class.php.

## Member Function Documentation

static Mail::create | ( |  | ) | `[static]`

Returns:
  Mail

Definition at line 45 of file Mail.class.php.

Mail::getContentType | ( |  | ) |

Definition at line 193 of file Mail.class.php.

Mail::getReturnPath | ( |  | ) |

Definition at line 221 of file Mail.class.php.

Mail::getSendmailAdditionalArgs | ( |  | ) |

Definition at line 207 of file Mail.class.php.

Referenced by send().

Mail::send | ( |  | ) |

Returns:
  Mail

Definition at line 53 of file Mail.class.php.

References $encoding, $from, $returnPath, $subject, $to, and getSendmailAdditionalArgs().

Here is the call graph for this function:

Mail::setCc | ( | $ | cc | ) |

Returns:
  Mail

Definition at line 151 of file Mail.class.php.

References $cc.

Mail::setContentType | ( | $ | contentType | ) |

Returns:
  Mail

Definition at line 201 of file Mail.class.php.

References $contentType.

Mail::setEncoding | ( | $ | encoding | ) |

Returns:
  Mail

Definition at line 187 of file Mail.class.php.

References $encoding.

Mail::setFrom | ( | $ | from | ) |

Returns:
  Mail

Definition at line 178 of file Mail.class.php.

References $from.

Mail::setReturnPath | ( | $ | returnPath | ) |

Returns:
  Mail

Definition at line 229 of file Mail.class.php.

References $returnPath.

Mail::setSendmailAdditionalArgs | ( | $ | sendmailAdditionalArgs | ) |

Returns:
  Mail

Definition at line 215 of file Mail.class.php.

References $sendmailAdditionalArgs.

Mail::setSubject | ( | $ | subject | ) |

Returns:
  Mail

Definition at line 160 of file Mail.class.php.

References $subject.

Mail::setText | ( | $ | text | ) |

Returns:
  Mail

Definition at line 169 of file Mail.class.php.

References $text.

Mail::setTo | ( | $ | to | ) |

Returns:
  Mail

Definition at line 142 of file Mail.class.php.

References $to.

## Member Data Documentation

Mail::$cc = null`[private]`

Definition at line 32 of file Mail.class.php.

Referenced by setCc().

Mail::$contentType = null`[private]`

Definition at line 37 of file Mail.class.php.

Referenced by setContentType().

Mail::$encoding = null`[private]`

Definition at line 36 of file Mail.class.php.

Referenced by send(), and setEncoding().

Mail::$from = null`[private]`

Definition at line 35 of file Mail.class.php.

Referenced by send(), and setFrom().

Mail::$returnPath = null`[private]`

Definition at line 38 of file Mail.class.php.

Referenced by send(), and setReturnPath().

Mail::$sendmailAdditionalArgs = null`[private]`

Definition at line 40 of file Mail.class.php.

Referenced by setSendmailAdditionalArgs().

Mail::$subject = null`[private]`

Definition at line 34 of file Mail.class.php.

Referenced by send(), and setSubject().

Mail::$text = null`[private]`

Definition at line 33 of file Mail.class.php.

Referenced by setText().

Mail::$to = null`[private]`

Definition at line 31 of file Mail.class.php.

Referenced by send(), and setTo().

The documentation for this class was generated from the following file:

- main/Net/Mail/Mail.class.php